Announcement

Collapse
No announcement yet.

restore mysqldump question

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • restore mysqldump question

    Our site is currently running vb 2.3.x. I've just installed VB 3 RC4 on our testing server and wanted to use a dump from the server running 2.3.x. is this possible with out running the upgrade? if not, what would be the best procedure for doing this.

    I've already restored the dump to the testing server's database we're using for VB 3 RC4 and I'm getting the following error...

    Invalid SQL:
    SELECT *
    FROM session
    WHERE sessionhash = 'd6c98716003f235c611eaa1e7ddbf151'
    AND lastactivity > 1078718469
    AND host = '216.78.57.33'
    AND idhash = '719999c7db9c748d7b835a82455d499b'

    mysql error: Unknown column 'idhash' in 'where clause'

    mysql error number: 1054"
    I may also need to mention, the dump is over 1.5 GB. I didn't get any errors on the import from the dump.

  • #2
    How did you do the dump?

    You mean you want to preform a test upgrade?

    Comment


    • #3
      Originally posted by Zachery
      How did you do the dump?

      You mean you want to preform a test upgrade?
      Thanks for the quick reply.... just noticed the sticky at the top..

      http://www.vbulletin.com/forum/showthread.php?t=73558

      gonna give this one a try.

      Comment


      • #4
        Originally posted by tiedyetoga
        Our site is currently running vb 2.3.x. I've just installed VB 3 RC4 on our testing server and wanted to use a dump from the server running 2.3.x. is this possible with out running the upgrade?
        No, this is not possible. You need to upgrade the database to vB3 by running install/upgrade.php.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Originally posted by Steve Machol
          No, this is not possible. You need to upgrade the database to vB3 by running install/upgrade.php.

          Thanks again for both of your quick replies. so would you suggest the steps posted in this thread http://www.vbulletin.com/forum/showthread.php?t=73558 2nd post? I'm currently on step 4, importing the db. hopefully this is correct.

          Comment

          widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
          Working...
          X